1

Closed

Sharepoint 2010/w SP1 with August 2012 CU slipstreamed keeps failing on binary install

description

Hi everyone.



I have tried this a few times now.

If I use AutoSPInstaller and use the Sharepoint 2010 with SP1 media, then everything works.

If I slipstream the latest CU (August 2012) then I keep getting errors on the binary install.

If I apply the CU post install, then it also works.



The error is this:
  • Installing SharePoint binaries......................................................................................................................................................Done.
    • SharePoint setup completed in 00:12:15.
      WARNING: Error: Type: . PatchApplicationFailure ErrorCode:
      -2147467259(0x80004005). Unspecified error
Anyone been able to do it slipsteamed?
Closed Nov 20, 2012 at 1:43 AM by brianlala

comments

wrote Nov 20, 2012 at 1:43 AM

Resolved with changeset 96239: AutoSPInstallerFunctions.ps1:
  • Fixed SharePoint setup error that started occurring with slipstreamed media starting with the August 2012 CU, whereby the script would error out with a PatchApplicationFailure on the binary installs. It appears this is actually benign, so the script now ignores it.
  • Updated references to $dbServer in CreateUserProfileServiceApplication to $mySiteDBServer per issue 18878
  • ConfigureDiagnosticLogging and ConfigureUsageLogging functions now only attempt to move log files if the before & after locations are actually different
  • Fixed syntax error in message about SP2010 being unsupported on Windows Server 2012 per issue 18946
    AutoSPInstallerMain.ps1: Script will now only attempt to load sites in browser (central admin etc.) if RemoteInstall.Enable is set to true, instead of just if $remoteFarmServers has values

brianlala wrote Dec 10, 2012 at 3:23 AM

BTW, there appears to be a bug (or changed functionality) within the CU packaging itself since August 2012. Essentially it doesn't appear possible to 'slipstream' the August 2012 & later CUs in the same way we used to - it REQUIRES SP1 to be present & installed first. See here for more details: http://spinsiders.com/brianlala/2012/12/07/slipstreaming-issues-beginning-with-sharepoint-august-2012-cu-part-2/

waaromikniet wrote Feb 1, 2013 at 10:11 AM

Hi,

I have latest version but still have this issue with CU from august till now.

brianlala wrote Feb 1, 2013 at 5:21 PM

Did you read my last comment? This actually isn't an AutoSPInstaller issue.